define({"78":{y:0,u:"../Content/Actions/Connector_Actions.htm",l:-1,t:"Connector Actions",i:0.00186380657679757,a:"Connector Actions This section describes the actions that you can send to NiFi Ingest connector groups. For information about how to build a dataflow that handles these actions, see  Handle Connector Actions ."},"79":{y:0,u:"../Content/Actions/Action_Collect.htm",l:-1,t:"Collect",i:0.014641801784679,a:"The Collect action retrieves documents from a repository. For each document that is collected, a FlowFile is routed to the \"Collect Output\" relationship of the connector group. Type: asynchronous Example http://host:10000/action=Collect\n\t\t\t  \u0026ConnectorGroup=FileSystem\n\t\t          \u0026Documents=... ..."},"80":{y:0,u:"../Content/Actions/Action_Delete.htm",l:-1,t:"Delete",i:0.014641801784679,a:"The Delete action deletes items from a repository. This action irreversibly deletes items from the data repository. Type: asynchronous Example http://host:10000/action=Delete\n\t\t\t  \u0026ConnectorGroup=FileSystem\n\t\t          \u0026Documents=... Response This is an asynchronous action, so you receive a token in ..."},"81":{y:0,u:"../Content/Actions/Action_GetStatus.htm",l:-1,t:"GetStatus",i:0.00130793103455146,a:"The GetStatus action provides basic status information about the service. Type: synchronous Example http://host:10000/action=GetStatus Response The following XML shows an example response: \u003cautnresponse\u003e\n    \u003caction\u003eGETSTATUS\u003c/action\u003e\n    \u003cresponse\u003eSUCCESS\u003c/response\u003e\n    \u003cresponsedata\u003e\n        ..."},"82":{y:0,u:"../Content/Actions/Action_Hold.htm",l:-1,t:"Hold",i:0.00186380657679757,a:"The Hold action places a hold on one or more documents in the repository. When a document has been placed on hold, it cannot be deleted or modified by a regular user. This action might be used by applications that perform legal hold. Type: asynchronous Example http://host:10000/action=Hold\n\t         ..."},"83":{y:0,u:"../Content/Actions/Action_Identifiers.htm",l:-1,t:"Identifiers",i:0.00186380657679757,a:"The identifiers action retrieves a list of items that are present in the repository. Different types of repository store items in different types of hierarchy. For example, file systems have folders and files, but an e-mail system might have mailboxes and messages.  The connector looks for child ..."},"84":{y:0,u:"../Content/Actions/Action_Insert.htm",l:-1,t:"Insert",i:0.00130793103455146,a:"The Insert action inserts items into a repository. Type: asynchronous Example The following example uses the command-line tool cURL to send an insert action. This example uses a File System Connector Group to insert a file into the file system. The file to insert is file.txt in the current working ..."},"85":{y:0,u:"../Content/Actions/Action_PurgeDatastore.htm",l:-1,t:"PurgeDatastore",i:0.00130793103455146,a:"The PurgeDatastore action deletes information, that the connector has saved, about the items in the repository. The connector saves this information so that when it synchronizes with the repository it does not need to retrieve items that have not changed. Some repositories do not keep a log of items ..."},"86":{y:0,u:"../Content/Actions/Action_QueueInfo.htm",l:-1,t:"QueueInfo",i:0.0470471128391521,a:"The QueueInfo action provides information about the asynchronous actions that are running or finished. You can use the QueueInfo action to determine whether an action has finished, and retrieve the results of the action. Type: synchronous Examples To return the numbers of running and completed ..."},"87":{y:0,u:"../Content/Actions/Action_ReleaseHold.htm",l:-1,t:"ReleaseHold",i:0.00130793103455146,a:"The ReleaseHold action releases a document that was placed on hold by the  Hold  action. Type: asynchronous Example http://host:10000/action=ReleaseHold\n\t                  \u0026ConnectorGroup=Documentum\n\t\t          \u0026Documents=... Response This is an asynchronous action, so you receive a token in ..."},"88":{y:0,u:"../Content/Actions/Action_Synchronize.htm",l:-1,t:"Synchronize",i:0.014641801784679,a:"The Synchronize action instructs the connector to synchronize with the data repository immediately. (Usually you would schedule synchronize cycles to occur on a regular basis, according to a schedule). The connector searches the repository for new, updated, and deleted documents. FlowFiles ..."},"89":{y:0,u:"../Content/Actions/Action_SynchronizeGroups.htm",l:-1,t:"SynchronizeGroups",i:0.00130793103455146,a:"The SynchronizeGroups action instructs the connector to retrieve security group information from the data repository. IDOL requires this information to provide document security, which ensures that documents can be viewed only by authorized users. FlowFiles containing the user and group information ..."},"90":{y:0,u:"../Content/Actions/Action_View.htm",l:-1,t:"View",i:0.00130793103455146,a:"The View action retrieves a single document and returns it in the response of the request. Type: synchronous Example http://host:10000/action=View\n                       \u0026ConnectorGroup=FileSystem\n                       \u0026Document=...\n Response The following XML shows an example response: ..."},"91":{y:0,u:"../Content/Reference/ControllerServices/_ControllerServices.htm",l:-1,t:"NiFi Ingest Controller Services",i:0.00130793103455146,a:"NiFi Ingest Controller Services This section describes the controller services that are supplied with NiFi Ingest."},"92":{y:0,u:"../Content/Reference/ControllerServices/AciContextServiceImpl.htm",l:-1,t:"AciContextServiceImpl",i:0.00242028996795786,a:"AciContextServiceImpl A service that is used by the   HandleAciRequest  and  HandleAciResponse  processors to store information about actions that have been sent to NiFi Ingest. For information about how to handle actions in NiFi Ingest, see  Handle Connector Actions . Properties"},"93":{y:0,u:"../Content/Reference/ControllerServices/ContentServiceImpl.htm",l:-1,t:"ContentServiceImpl",i:0.00302206470871204,a:"Provides a way for NiFi Ingest processors to communicate with an IDOL Content component, for example an Agentstore.  The Agentstore component is a specially configured version of the IDOL Content component that you can use for categorization and entity matching.  This controller service allows you ..."},"94":{y:0,u:"../Content/Reference/ControllerServices/DatabaseServiceImpl.htm",l:-1,t:"DatabaseServiceImpl",i:0.0110218909468864,a:"This controller service provides an interface for one or more NiFi Ingest processors to communicate with an external database. IDOL NiFi Ingest Connectors keep a record of the items they have retrieved so that they do not need to synchronize those items again. Each time it synchronizes with your ..."},"95":{y:0,u:"../Content/Reference/ControllerServices/DocumentRegistryServiceImpl.htm",l:-1,t:"DocumentRegistryServiceImpl",i:0.0197080389615529,a:"Manages and updates a document registry database, which provides a way to ensure that indexing operations occur in the correct order. When a connector performs the synchronize fetch action it might find items that have been modified. To update the content in the IDOL index, it sends two documents to ..."},"96":{y:0,u:"../Content/Reference/ControllerServices/IdolLicenseServiceImpl.htm",l:-1,t:"IdolLicenseServiceImpl",i:0.0117115908321928,a:"IdolLicenseServiceImpl Provides a way for NiFi Ingest processors to communicate with an IDOL License Server. Processors that require a license have a property named \"IDOL License Service\", which you must set to an instance of this controller service. Properties"},"97":{y:0,u:"../Content/Reference/ControllerServices/IdolSSLConfigServiceImpl.htm",l:-1,t:"IdolSSLConfigServiceImpl",i:0.0225759877424478,a:"IdolSSLConfigServiceImpl Provides a way to configure SSL/TLS settings for NiFi Ingest processors. Some NiFi Ingest processors have a property named \"SSL Config Service\", which you can set to an instance of this service. Properties"},"98":{y:0,u:"../Content/Reference/ControllerServices/KeyViewExportServiceImpl.htm",l:-1,t:"KeyViewExportServiceImpl",i:0.00241968211904368,a:"KeyViewExportServiceImpl Manages the location of the KeyView Export SDK for the NiFi instance.   All processors that use the KeyView Export SDK have a “KeyView Export Service” property that must reference an instance of this service.  Properties"},"99":{y:0,u:"../Content/Reference/ControllerServices/KeyViewFilterServiceImpl.htm",l:-1,t:"KeyViewFilterServiceImpl",i:0.0035688418027359,a:"Manages the location of the KeyView Filter SDK for the NiFi instance. All processors that use the KeyView Filter SDK have a “KeyView Filter Service” property that must reference an instance of this service.   The service also defines a location where temporary files and extracted files are stored. ..."},"100":{y:0,u:"../Content/Reference/ControllerServices/MediaServiceImpl.htm",l:-1,t:"MediaServiceImpl",i:0.00404562066005922,a:"MediaServiceImpl Manages the static resources and FFmpeg libraries that are required to analyze rich media files. All processors that require media analysis resources have a “Media Service” property that must reference an instance of this service.   Properties"},"101":{y:0,u:"../Content/Reference/ControllerServices/ProxyConfigurationServiceImpl.htm",l:-1,t:"ProxyConfigurationServiceImpl",i:0.0120556499545136,a:"ProxyConfigurationServiceImpl Provides an interface for one or more NiFi Ingest processors to use a proxy server. Properties See Also SystemProxyConfigurationServiceImpl"},"102":{y:0,u:"../Content/Reference/ControllerServices/SystemProxyConfigurationServiceImpl.htm",l:-1,t:"SystemProxyConfigurationServiceImpl",i:0.011556876798281,a:"Provides an interface for one or more NiFi Ingest processors to use a proxy server. You can use this service as an alternative to a  ProxyConfigurationServiceImpl . This service has no properties. It obtains details about your HTTP proxy from the system. On Windows, it reads the proxy settings ..."},"103":{y:0,u:"../Content/Reference/Processors/_Processors.htm",l:-1,t:"NiFi Ingest Processors",i:0.00130793103455146,a:"NiFi Ingest Processors This section describes the processors that are supplied with NiFi Ingest."},"104":{y:0,u:"../Content/Reference/Processors/ContentFromHTML.htm",l:-1,t:"ContentFromHTML",i:0.00144689992011299,a:"Connectors, including the IDOL Web Connector, can send documents for ingestion that have associated HTML files. You could send the HTML files to the  KeyViewFilterDocument  processor, which discards the HTML markup and extracts the text contained in the file. However, HTML pages often contain ..."},"105":{y:0,u:"../Content/Reference/Processors/ContentIntoSections.htm",l:-1,t:"ContentIntoSections",i:0.00130793103455146,a:"Splits IDOL document content into sections. You might have documents with large amounts of content. For example, a 1000-page PDF file could be indexed as a single document. Dividing the content of long documents into sections can result in more relevant search results, because IDOL can return a ..."},"106":{y:0,u:"../Content/Reference/Processors/ConvertContentFilenameToFile.htm",l:-1,t:"ConvertContentFilenameToFile",i:0.00130793103455146,a:"Reads a file that is referenced by a document and replaces the document section containing the file path with a document section that contains the binary data. Storing the binary data within a document can be useful if you want to send the document to a remote NiFi instance that does not have access ..."},"107":{y:0,u:"../Content/Reference/Processors/ConvertContentFileToFilename.htm",l:-1,t:"ConvertContentFileToFilename",i:0.00130793103455146,a:"ConvertContentFileToFilename Replaces a document section that contains binary data with a document section that contains a file path (and writes the file to disk). Properties Relationships"},"108":{y:0,u:"../Content/Reference/Processors/ConvertCSVToDocuments.htm",l:-1,t:"ConvertCSVToDocuments",i:0.00144689992011299,a:"Many systems output data in comma-separated (CSV) format. The ConvertCSVToDocuments processor automatically detects any FlowFile that represents a text or CSV file and attempts to parse the data into IDOL documents.  Each row in the CSV file becomes a new IDOL document. Properties Relationships"},"109":{y:0,u:"../Content/Reference/Processors/ConvertIDXToDocuments.htm",l:-1,t:"ConvertIDXToDocuments",i:0.00144689992011299,a:"The ConvertIDXToDocuments processor automatically detects any FlowFile that represents an IDOL IDX file, and produces FlowFiles that represent individual IDOL documents. If you are using a File System Connector to retrieve IDX files, configure the connector with ParseIDX=FALSE. Properties ..."},"110":{y:0,u:"../Content/Reference/Processors/ConvertXMLToDocuments.htm",l:-1,t:"ConvertXMLToDocuments",i:0.00144689992011299,a:"Many systems can output data in XML format. The ConvertXMLToDocuments processor automatically detects any FlowFile that represents an XML file and attempts to parse the XML into IDOL documents. The processor produces a new FlowFile for each IDOL document. To be parsed successfully, the input XML ..."},"111":{y:0,u:"../Content/Reference/Processors/DetectContentLanguage.htm",l:-1,t:"DetectContentLanguage",i:0.00130793103455146,a:"DetectContentLanguage A processor that detects the language of the document content, and populates a document metadata field with the result. Properties Relationships"},"112":{y:0,u:"../Content/Reference/Processors/Eduction.htm",l:-1,t:"Eduction",i:0.00130793103455146,a:"The Eduction processor uses IDOL Eduction to extract entities from text. An entity is a word, phrase, or block of information. For example, you can use Eduction to extract names, addresses, telephone numbers, and dates from document content or metadata. For more information about Eduction and how to ..."},"113":{y:0,u:"../Content/Reference/Processors/EmbeddedContent.htm",l:-1,t:"EmbeddedContent",i:0.00403318803443963,a:"The EmbeddedContent processor performs an enrichment task on input documents by using an embedded IDOL Content component index (which is available as a controller service). The processor  defines one or more enrichment tasks.  Each task is a constructed Query action to send to the embedded content ..."},"114":{y:0,u:"../Content/Reference/Processors/ExecuteDocumentLua.htm",l:-1,t:"ExecuteDocumentLua",i:0.00244428526003652,a:"Runs a Lua script on a FlowFile or document. Properties Relationships Advanced Configuration The ExecuteDocumentLua processor has an advanced configuration interface. This includes a code editor so that you can write and debug Lua scripts, and sample code snippets that demonstrate how to complete ..."},"115":{y:0,u:"../Content/Reference/Processors/FilenameFromMetadata.htm",l:-1,t:"FilenameFromMetadata",i:0.00130793103455146,a:"The FilenameFromMetdata processor extracts file names or URLs from document metadata fields. If the extracted value is a URL, the processor also downloads the file. The file name or downloaded file is associated with the FlowFile so that it can be processed by other processors. Properties ..."},"116":{y:0,u:"../Content/Reference/Processors/FilterBadContent.htm",l:-1,t:"FilterBadContent",i:0.00130793103455146,a:"A processor to discard FlowFiles with unacceptable document content. You can use this processor to discard FlowFiles where the document content is not suitable for indexing. The processor filters documents based on: The percentage of binary content. The percentage of symbolic content. Symbolic ..."},"117":{y:0,u:"../Content/Reference/Processors/HandleACIRequest.htm",l:-1,t:"HandleAciRequest",i:0.00220654841428358,a:"HandleAciRequest Handles incoming ACI requests. Micro Focus provides a template that includes all of the components necessary to handle ACI requests. For more information about how to handle actions in NiFi Ingest, see  Handle Connector Actions . Properties"},"118":{y:0,u:"../Content/Reference/Processors/HandleACIResponse.htm",l:-1,t:"HandleAciResponse",i:0.00171938465827647,a:"HandleAciResponse Handles responses to ACI requests. Micro Focus provides a template that includes all of the components necessary to handle ACI requests. For more information about how to handle actions in NiFi Ingest, see  Handle Connector Actions . Properties"},"119":{y:0,u:"../Content/Reference/Processors/HashDocument.htm",l:-1,t:"HashDocument",i:0.00130793103455146,a:"The HashDocument processor calculates one or more hashes and adds the values to the document. Hash values can be used to identify duplicate or related documents. For example, you could calculate a hash from the sender, recipients, and subject of each e-mail, in order to create groups of related ..."},"120":{y:0,u:"../Content/Reference/Processors/KeyViewExportToHtml.htm",l:-1,t:"KeyViewExportToHtml",i:0.00130793103455146,a:"A processor that uses KeyView to produce an HTML representation of a file. For example, if you have an IDOL document FlowFile with an associated PDF file, KeyView reads the PDF file and produces an HTML representation that you can view in a web browser. This processor is available on Windows only. ..."},"121":{y:0,u:"../Content/Reference/Processors/KeyViewExportToXml.htm",l:-1,t:"KeyViewExportToXml",i:0.00130793103455146,a:"A processor that uses KeyView to produce an XML representation of a file. For example, if you have an IDOL document FlowFile with an associated PDF file, KeyView reads the PDF file and produces an XML representation of it. This processor is available on Windows only. Properties Relationships"},"122":{y:0,u:"../Content/Reference/Processors/KeyViewExtractFiles.htm",l:-1,t:"KeyViewExtractFiles",i:0.00181748361494373,a:"A processor that uses KeyView to extract sub-files from container files such as zip archives. The processor reads any files embedded in the FlowFile or referenced by the FlowFile, and passes these to KeyView.  If the files are containers, KeyView extracts sub-files to the location defined by the ..."},"123":{y:0,u:"../Content/Reference/Processors/KeyViewFilterDocument.htm",l:-1,t:"KeyViewFilterDocument",i:0.00192286899814764,a:"A processor that uses KeyView to filter metadata and text from files. The processor reads any files embedded in the FlowFile or referenced by the FlowFile, and passes these to KeyView. The metadata that is extracted by KeyView is added to the FlowFile as XML metadata. The text that is extracted by ..."},"124":{y:0,u:"../Content/Reference/Processors/KeyViewRouteOnFileType.htm",l:-1,t:"KeyViewRouteOnFileType",i:0.00196989117027497,a:"A processor that uses KeyView to route FlowFiles based on the format of the associated file. The processor also writes attributes into the FlowFile, containing the KeyView document class, KeyView format code, and a MIME type string. Properties Relationships A FlowFile that has multiple associated ..."},"125":{y:0,u:"../Content/Reference/Processors/MediaAnalysis.htm",l:-1,t:"MediaAnalysis",i:0.00130793103455146,a:"The Media Analysis processor uses IDOL Media Server to analyze image, audio, and video files. Media Server can perform tasks such as optical character recognition, face detection and recognition, speech-to-text, and speaker identification. For more information about Media Server, refer to the Media ..."},"126":{y:0,u:"../Content/Reference/Processors/NISTRDSFilter.htm",l:-1,t:"NISTRDSFilter",i:0.00130793103455146,a:"A processor that compares the checksums of files against NIST RDS hash sets, to filter out any files that originate from operating systems or common application software. The NIST RDS hash sets are several gigabytes in size. Ensure that you have sufficient free disk space before configuring the ..."},"127":{y:0,u:"../Content/Reference/Processors/PutDigitalSafe.htm",l:-1,t:"PutDigitalSafe",i:0.00130793103455146,a:"PutDigitalSafe Indexes documents into Digital Safe through the Digital Safe REST API. Properties Relationships"},"128":{y:0,u:"../Content/Reference/Processors/PutIDOL.htm",l:-1,t:"PutIDOL",i:0.00172483769123604,a:"PutIDOL Indexes documents into IDOL Server. Properties Relationships"},"129":{y:0,u:"../Content/Reference/Processors/PutMetastore.htm",l:-1,t:"PutMetastore",i:0.00130793103455146,a:"PutMetastore Indexes documents into a Micro Focus ControlPoint Metastore. Properties Relationships"},"130":{y:0,u:"../Content/Reference/Processors/PutOGS.htm",l:-1,t:"PutOGS",i:0.00524826611225991,a:"PutOGS Sends group information retrieved by a connector to an IDOL OmniGroupServer. Properties Relationships"},"131":{y:0,u:"../Content/Reference/Processors/QueryIDOL.htm",l:-1,t:"QueryIDOL",i:0.00234212304676796,a:"A processor that sends a query to an IDOL Content component and outputs the resulting documents as FlowFiles. You can specify a query in one of the following ways: Define a query using the Text, Field Text, Database Match, and other relevant properties in the processor configuration. With this ..."},"132":{y:0,u:"../Content/Reference/Processors/RegisterDocument.htm",l:-1,t:"RegisterDocument",i:0.00214174434792063,a:"RegisterDocument Registers a FlowFile with a document registry database. For more information about this processor, see  Index Documents in the Correct Sequence . Properties Relationships"},"133":{y:0,u:"../Content/Reference/Processors/RemoveDocumentPart.htm",l:-1,t:"RemoveDocumentPart",i:0.00130793103455146,a:"Removes parts of a document. The primary reason to use this processor is to remove contentfilename document parts, which allows NiFi Ingest to delete temporary files. Micro Focus recommends you do this at the end of your dataflow, after extraction, filtering, media analysis, and so on. Properties ..."},"134":{y:0,u:"../Content/Reference/Processors/RMSDecrypt.htm",l:-1,t:"RMSDecrypt",i:0.00130793103455146,a:"A processor to decrypt files that are encrypted with Microsoft Azure Rights Management (RMS) encryption. The processor decrypts any encrypted Office file or pfile, adding the original extension to the decrypted file. It cannot decrypt encrypted PDF files. If the processor receives a FlowFile ..."},"135":{y:0,u:"../Content/Reference/Processors/RMSEncrypt.htm",l:-1,t:"RMSEncrypt",i:0.00130793103455146,a:"RMSEncrypt A processor to encrypt files with Microsoft Azure Rights Management (RMS) encryption. The processor accepts any file and encrypts it. Office documents keep their original extension, and other file formats are encrypted as a pfile with a .pfile extension. Properties Relationships"},"136":{y:0,u:"../Content/Reference/Processors/StandardizeMetadata.htm",l:-1,t:"StandardizeMetadata",i:0.00130793103455146,a:"The StandardizeMetadata processor performs field standardization. Field standardization modifies documents so that they have a consistent structure and consistent field names. You can use field standardization so that documents which originated from different connectors use the same fields to store ..."},"137":{y:0,u:"../Content/Reference/Processors/UnregisterDocument.htm",l:-1,t:"UnregisterDocument",i:0.00214174434792063,a:"UnregisterDocument Removes a FlowFile from a document registry database. For more information about this processor, see  Index Documents in the Correct Sequence . Properties Relationships"},"138":{y:0,u:"../Content/Reference/Processors/UpdateAttributeFromMetadata.htm",l:-1,t:"UpdateAttributeFromMetadata",i:0.00130793103455146,a:"A processor that adds or updates a FlowFile attribute based on the value of a document metadata field or document metadata field attribute. It can be useful to extract values from the document metadata and add them to the FlowFile as FlowFile attributes so that they can be referenced using NiFi ..."},"139":{y:0,u:"../Content/Reference/Processors/WriteDocument.htm",l:-1,t:"WriteDocument",i:0.00290263907283627,a:"WriteDocument Generates new FlowFiles with the document in IDX, XML, or JSON format. The processor can optionally write documents to a file on disk. Properties Relationships"},"140":{y:0,u:"../Content/Reference/Processors-Media/_MediaProcessors.htm",l:-1,t:"NiFi Ingest Media Processors",i:0.00130793103455146,a:"NiFi Ingest Media Processors This section describes the media analysis processors that you can use with NiFi Ingest."},"141":{y:0,u:"../Content/Reference/Processors-Media/FaceDetection.htm",l:-1,t:"FaceDetection",i:0.00158586880567451,a:"Runs face detection on the file(s) associated with an IDOL document FlowFile, and adds information about any detected faces to the IDOL document. The processor can handle the following file formats: TIFF JPEG JPEG 2000 PNG GIF (only the first frame of an animated GIF) BMP (compressed BMP files are ..."},"142":{y:0,u:"../Content/Reference/Processors-Media/ObjectRecognition.htm",l:-1,t:"ObjectRecognition",i:0.00130793103455146,a:"Runs object recognition on the file(s) associated with an IDOL document FlowFile, and adds information about any recognized objects to the IDOL document. The processor can handle the following file formats: TIFF JPEG JPEG 2000 PNG GIF (only the first frame of an animated GIF) BMP (compressed BMP ..."},"143":{y:0,u:"../Content/Reference/Processors-Media/OpticalCharacterRecognition.htm",l:-1,t:"OpticalCharacterRecognition",i:0.00158586880567451,a:"Runs optical character recognition on the file(s) associated with an IDOL document FlowFile, and adds the text to the IDOL document. The processor can handle the following file formats: TIFF JPEG JPEG 2000 PNG GIF (only the first frame of an animated GIF) BMP (compressed BMP files are not supported) ..."},"144":{y:0,u:"../Content/Reference/Processors-Media/PIIImage.htm",l:-1,t:"PIIImage",i:0.00130793103455146,a:"Runs face detection and OCR on the file(s) associated with an IDOL document FlowFile, and adds the information to the IDOL document. You can use this processor in place of  FaceDetection  and  OpticalCharacterRecognition  to determine whether a file might contain personally identifiable information ..."},"145":{y:0,u:"../Content/Reference/Processors-Media/SpeechToText.htm",l:-1,t:"SpeechToText",i:0.00130793103455146,a:"SpeechToText Runs speech-to-text on the file(s) associated with an IDOL document FlowFile, and adds the text to the IDOL document. For information about the audio and video file formats that are supported, refer to the Media Server Administration Guide. Properties Relationships"},"146":{y:0,u:"../Content/Reference/KeyView_FileClasses.htm",l:-1,t:"KeyView File Classes",i:0.00186607250569108,a:"KeyView File Classes"},"147":{y:0,u:"../Content/Reference/KeyView_Formats.htm",l:-1,t:"KeyView Detected Formats",i:0.00252803264141459,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"148":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00130793103455146,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"149":{y:0,u:"../Content/Lua/_LUA_Lua_Scripts.htm",l:-1,t:"Lua Functions and Methods Reference",i:0.00130793103455146,a:"Lua Functions and Methods Reference This section describes the functions and methods that you can use in your Lua scripts. NiFi Ingest includes Lua version 5.3.0. Any Lua modules that you use must be compatible with this version."},"150":{y:0,u:"../Content/Lua/General/_LUA_General_Methods.htm",l:-1,t:"General Functions",i:0.00130793103455146,a:"General Functions"},"151":{y:0,u:"../Content/Lua/General/_LUA_abs_path.htm",l:-1,t:"abs_path",i:0.00132890747010792,a:"abs_path The abs_path method returns the supplied path as an absolute path. Syntax abs_path( path ) Arguments Returns (String). A string containing the supplied path as an absolute path."},"152":{y:0,u:"../Content/Lua/General/_LUA_base64_decode.htm",l:-1,t:"base64_decode",i:0.00132890747010792,a:"base64_decode The base64_decode method decodes a base64-encoded  string. Syntax base64_decode( input ) Arguments Returns (String). The decoded string. If the input is not a valid base64-encoded string, the function returns nil."},"153":{y:0,u:"../Content/Lua/General/_LUA_base64_encode.htm",l:-1,t:"base64_encode",i:0.00132890747010792,a:"base64_encode The base64_encode method base64-encodes a string. Syntax base64_encode( input ) Arguments Returns (String). A base64-encoded string."},"154":{y:0,u:"../Content/Lua/General/_LUA_convert_date_time.htm",l:-1,t:"convert_date_time",i:0.00132890747010792,a:"The convert_date_time method converts date and time formats using standard IDOL formats. All date and time input is treated as local time unless it contains explicit time zone information. The InputFormatCSV and OutputFormat arguments specify date and time formats, and accept the following values: ..."},"155":{y:0,u:"../Content/Lua/General/_LUA_convert_encoding.htm",l:-1,t:"convert_encoding",i:0.00245848871953601,a:"convert_encoding The convert_encoding method converts the encoding of a string from one character encoding to another. Syntax convert_encoding( input, encodingTo, encodingTables [, encodingFrom]) Arguments Returns (String). A string, using the specified character encoding."},"156":{y:0,u:"../Content/Lua/General/_LUA_copy_file.htm",l:-1,t:"copy_file",i:0.00132890747010792,a:"copy_file The copy_file method copies a file. Syntax copy_file( src, dest [, overwrite] ) Arguments Returns (Boolean). A Boolean, true to indicate success or false for failure."},"157":{y:0,u:"../Content/Lua/General/_LUA_create_path.htm",l:-1,t:"create_path",i:0.00132890747010792,a:"create_path The create_path method creates the specified directory tree. Syntax create_path( path ) Arguments"},});